/* Talk answer requestor by Brian Gunn 02/28/94 */
/* Modified by Len Trigg 4/28/94 */

NL = '0a'x

/* Initialise callee to someone you often call to save typing when
** you call them
*/
callee = "APerson@wherever.they.are"

/* Try to add RexxReqTools.library if it isn't already there.
*/
IF ~SHOW(l,"rexxreqtools.library") THEN
	IF ~ADDLIB("rexxreqtools.library", 0, -30, 0) THEN
		EXIT 10

IF ARG()~=1 THEN DO
	/* Initiate a call
	*/
	callee = rtgetstring(callee, , "AmiTALK to:", , )

	IF callee ~= "" THEN DO
		ADDRESS command "talk" callee
		END
	EXIT 5
END

/* Answer an incoming call
*/
PARSE ARG callee caller

IF rtezrequest("Talk request from" || NL ||,
	NL||callee, "Answer|Ignore", DATE() "at" TIME(CIVIL)" to "|| caller) THEN DO
		ADDRESS command "talk " || callee
END

remlib("rexxreqtools.library")
